Uploaded image for project: 'Spring Social Facebook'
  1. Spring Social Facebook
  2. SOCIALFB-199

Abandon Jackson 2.6 dependency ASAP

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: 2.0.3.RELEASE
    • Fix Version/s: None
    • Component/s: API Binding
    • Labels:
      None

      Description

      socialfb depends on Jackson 2.6, Jackson 2.6 changed the behavior of Include.NON_EMPTY in a serious blunder of backwards-compatibility and versioning. Jackson devs have admitted the blunder and reverted the behavior, but they have only done so in Jackson 2.7.

      Your dependency on Jackson 2.6, which should be considered instantly deprecated, is harmful to your downstream projects that depend on you, because your dependency on Jackson 2.6 has a high likelihood of breaking their app.

      You should upgrade to the latest release of Jackson in the next release of socialfb.

        Attachments

          Activity

            People

            Assignee:
            habuma Craig Walls
            Reporter:
            derekm Derek Moore
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Time Tracking

                Estimated:
                Original Estimate - 1d
                1d
                Remaining:
                Remaining Estimate - 1d
                1d
                Logged:
                Time Spent - Not Specified
                Not Specified